Bug 200536 - databases/pgadmin3: Update to 1.20.0
Summary: databases/pgadmin3: Update to 1.20.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Max Khon
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-30 15:25 UTC by Rainer Hurling
Modified: 2015-06-01 12:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (fjoe)


Attachments
patch updates to version 1.20.0 (19.83 KB, patch)
2015-05-30 15:25 UTC, Rainer Hurling
no flags Details | Diff
Poudriere run with HEAD amd64 (522.33 KB, text/x-log)
2015-05-30 15:26 UTC, Rainer Hurling
no flags Details
Poudriere run with 9.3 amd64 (520.95 KB, text/x-log)
2015-05-30 15:27 UTC, Rainer Hurling
no flags Details
Poudriere run with 10.1 amd64 (27.70 KB, application/zip)
2015-05-30 15:30 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2015-05-30 15:25:45 UTC
Created attachment 157279 [details]
patch updates to version 1.20.0

The actual release of databases/pgadmin3 is from Dec. 15th, 2014, while in the ports is a version from Oct. 7th, 2013. 

pgadmin3 version 1.20.0 is especially needed for PostgreSQL 9.4, because version 1.18.1 does not work well with recent PostgreSQL.

While here,
- update from 1.18.1 to 1.20.0
- change 'IGNORE_WITH_PGSQL= 82 83' to USES=pgsql:9.0+
- add LICENSE= PostgreSQL
- activate wxrc-gtk2u-2.8 to unpack needed C++ sources
- change from PLIST_FILES to pkg-plist
- redo files/patch-plugins.d-plugins.ini via 'make makepatch'


Poudriere tests went well, see attachments.


portlint -AC gives

WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.

I leave it to the maintainer to decide, if a NLS knob is needed ;)
Comment 1 Rainer Hurling 2015-05-30 15:26:53 UTC
Created attachment 157280 [details]
Poudriere run with HEAD amd64
Comment 2 Rainer Hurling 2015-05-30 15:27:26 UTC
Created attachment 157281 [details]
Poudriere run with 9.3 amd64
Comment 3 Rainer Hurling 2015-05-30 15:30:20 UTC
Created attachment 157282 [details]
Poudriere run with 10.1 amd64
Comment 4 commit-hook freebsd_committer 2015-06-01 10:59:51 UTC
A commit references this bug:

Author: fjoe
Date: Mon Jun  1 10:59:11 UTC 2015
New revision: 388213
URL: https://svnweb.freebsd.org/changeset/ports/388213

Log:
  Update to 1.20.0

  PR:		200536
  Submitted by:	Rainer Hurling

Changes:
  head/databases/pgadmin3/Makefile
  head/databases/pgadmin3/distinfo
Comment 5 Max Khon freebsd_committer 2015-06-01 11:00:06 UTC
Thanks, committed (module pkg-plist changes - why do you think they are needed?).
Comment 6 Rainer Hurling 2015-06-01 12:42:53 UTC
(In reply to Max Khon from comment #5)

You are right, pkg-plist isn't necessary here. 

While working out the changes for the update, I erroneously thought I would need it because of files, not mentioned by PLIST_FILES=bin/pgadmin3 and PORTDATA=*. But that was wrong.

Thanks for the hint and thanks for the commit.